Get presigned URLs for recording uploads
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"filename": "<string>",
"file_size": 123,
"mime_type": "audio/wav"
}
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url"
payload = { "files": [
{
"filename": "<string>",
"file_size": 123,
"mime_type": "audio/wav"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{filename: '<string>', file_size: 123, mime_type: 'audio/wav'}]})
};
fetch('https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'filename' => '<string>',
'file_size' => 123,
'mime_type' => 'audio/wav'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url"
payload := strings.NewReader("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"file_size\": 123,\n \"mime_type\": \"audio/wav\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"file_size\": 123,\n \"mime_type\": \"audio/wav\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"file_size\": 123,\n \"mime_type\": \"audio/wav\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"upload_url": "<string>",
"recording_id": "<string>",
"storage_key": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}main
Get presigned URLs for recording uploads
Generate presigned PUT URLs for uploading one or more audio recordings.
POST
/
api
/
v1
/
workflow-recordings
/
upload-url
Get presigned URLs for recording uploads
curl --request POST \
--url https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"files": [
{
"filename": "<string>",
"file_size": 123,
"mime_type": "audio/wav"
}
]
}
'import requests
url = "https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url"
payload = { "files": [
{
"filename": "<string>",
"file_size": 123,
"mime_type": "audio/wav"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({files: [{filename: '<string>', file_size: 123, mime_type: 'audio/wav'}]})
};
fetch('https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'files' => [
[
'filename' => '<string>',
'file_size' => 123,
'mime_type' => 'audio/wav'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url"
payload := strings.NewReader("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"file_size\": 123,\n \"mime_type\": \"audio/wav\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"file_size\": 123,\n \"mime_type\": \"audio/wav\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.peachdeskai.com/api/v1/workflow-recordings/upload-url")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"files\": [\n {\n \"filename\": \"<string>\",\n \"file_size\": 123,\n \"mime_type\": \"audio/wav\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"items": [
{
"upload_url": "<string>",
"recording_id": "<string>",
"storage_key": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
SessionAuthApiKeyAuth
Interactive user session: the login JWT, sent as Authorization: Bearer <token>.
Body
application/json
Request schema for getting presigned upload URLs for one or more files.
List of files to upload
Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Response
Successful Response
Response schema with presigned upload URLs.
Upload URLs for each file
Show child attributes
Show child attributes

